package net.lecnam.info.ex3;

import java.io.Serializable;

sealed interface Request extends Serializable {
	record GetSize() implements Request {}
	record GetValue(int index) implements Request {}
	record Set(int index, String element) implements Request {}
	record Add(int index, String element) implements Request {}
	record Remove(int index) implements Request {}
	record Stop() implements Request {}
}