package net.lecnam.info.ex4;

sealed interface Answer<E> {
	record Size<E>(int size) implements Answer<E> {}
	record Value<E>(E value) implements Answer<E> {}
	record OldValue<E>(E value) implements Answer<E> {}
	record Done<E>() implements Answer<E> {}
}